Atlas documentation
API reference

Geographies

Typed geography identity; delivery is not yet available.

Generated from the public OpenAPI contract.

Typed geography identity; delivery is not yet available.

Get geography identity (delivery pending)

GET /v1/geographies/{geography_type}/{geography_id}

Operation ID: geography_v1_geographies__geography_type___geography_id__get

Tag: geographies

Validated county/state FIPS identity; currently returns 503 CANONICAL_DATA_UNAVAILABLE. No geometry is returned.

Parameters

geography_type

  • Location: path
  • Required: yes

Schema:

{
  "$ref": "#/components/schemas/GeographyType"
}

geography_id

  • Location: path
  • Required: yes

Schema:

{
  "type": "string",
  "title": "Geography Id"
}

Responses

200

Successful current-release resource.

application/json

Schema: ResourceEnvelope_Geography_ (#/components/schemas/ResourceEnvelope_Geography_)

Schema:

{
  "$ref": "#/components/schemas/ResourceEnvelope_Geography_"
}

400

INVALID_REQUEST, UNSUPPORTED_FILTER, UNSUPPORTED_STRATIFICATION, or QUERY_TOO_BROAD; application/problem+json

application/problem+json

Schema: ProblemDetails (#/components/schemas/ProblemDetails)

Schema:

{
  "$ref": "#/components/schemas/ProblemDetails"
}

Examples:

illustrative

Synthetic error example

{
  "type": "https://carawaylabs.com/problems/http-400",
  "title": "Request failed",
  "status": 400,
  "detail": "INVALID_REQUEST, UNSUPPORTED_FILTER, UNSUPPORTED_STRATIFICATION, or QUERY_TOO_BROAD; application/problem+json",
  "instance": "/v1/observations",
  "request_id": "example-request-id",
  "code": "INVALID_REQUEST"
}

404

RESOURCE_NOT_FOUND; application/problem+json

application/problem+json

Schema: ProblemDetails (#/components/schemas/ProblemDetails)

Schema:

{
  "$ref": "#/components/schemas/ProblemDetails"
}

Examples:

illustrative

Synthetic error example

{
  "type": "https://carawaylabs.com/problems/http-404",
  "title": "Request failed",
  "status": 404,
  "detail": "RESOURCE_NOT_FOUND; application/problem+json",
  "instance": "/v1/observations",
  "request_id": "example-request-id",
  "code": "RESOURCE_NOT_FOUND"
}

413

GET request body rejected; application/problem+json

application/problem+json

Schema: ProblemDetails (#/components/schemas/ProblemDetails)

Schema:

{
  "$ref": "#/components/schemas/ProblemDetails"
}

Examples:

illustrative

Synthetic error example

{
  "type": "https://carawaylabs.com/problems/http-413",
  "title": "Request failed",
  "status": 413,
  "detail": "GET request body rejected; application/problem+json",
  "instance": "/v1/observations",
  "request_id": "example-request-id",
  "code": "INVALID_REQUEST"
}

414

Query string too long; application/problem+json

application/problem+json

Schema: ProblemDetails (#/components/schemas/ProblemDetails)

Schema:

{
  "$ref": "#/components/schemas/ProblemDetails"
}

Examples:

illustrative

Synthetic error example

{
  "type": "https://carawaylabs.com/problems/http-414",
  "title": "Request failed",
  "status": 414,
  "detail": "Query string too long; application/problem+json",
  "instance": "/v1/observations",
  "request_id": "example-request-id",
  "code": "INVALID_REQUEST"
}

429

Rate limited; Retry-After; application/problem+json

Headers
Retry-After
  • Required: no
  • Seconds before retry when supplied by the service.
  • Type: string

Schema:

{
  "type": "string"
}
application/problem+json

Schema: ProblemDetails (#/components/schemas/ProblemDetails)

Schema:

{
  "$ref": "#/components/schemas/ProblemDetails"
}

Examples:

illustrative

Synthetic error example

{
  "type": "https://carawaylabs.com/problems/http-429",
  "title": "Request failed",
  "status": 429,
  "detail": "Rate limited; Retry-After; application/problem+json",
  "instance": "/v1/observations",
  "request_id": "example-request-id",
  "code": "RATE_LIMITED"
}

503

Canonical data service unavailable; application/problem+json

Headers
Retry-After
  • Required: no
  • Seconds before retry when supplied by the service.
  • Type: string

Schema:

{
  "type": "string"
}
application/problem+json

Schema: ProblemDetails (#/components/schemas/ProblemDetails)

Schema:

{
  "$ref": "#/components/schemas/ProblemDetails"
}

Examples:

illustrative

Synthetic error example

{
  "type": "https://carawaylabs.com/problems/http-503",
  "title": "Request failed",
  "status": 503,
  "detail": "Canonical data service unavailable; application/problem+json",
  "instance": "/v1/observations",
  "request_id": "example-request-id"
}

4XX

Canonical client errors use application/problem+json.

application/problem+json

Schema: ProblemDetails (#/components/schemas/ProblemDetails)

Schema:

{
  "$ref": "#/components/schemas/ProblemDetails"
}